mscorlib 2.0.0.0 2.0.0.0 4.0.0.0 System.Globalization.EastAsianLunisolarCalendar

The class is derived from the class, which represents the lunisolar calendar. The class supports the sexagenary year cycle (which repeats every 60 years) in addition to solar years and lunar months. Each solar year in the calendar is associated with a Sexagenary Year, a Celestial Stem, and a Terrestrial Branch, and these calendars can have leap months after any month of the year. The class calculates years based on solar calculations, and months and days based on lunar calculations.

For information about using the class and the other calendar classes in the .NET Framework, see Working with Calendars.

A leap month can occur after any month in a year. For example, the method returns a number between 1 and 13 that indicates the month associated with a specified date. If there is a leap month between the eighth and ninth months of the year, the method returns 8 for the eighth month, 9 for the leap eighth month, and 10 for the ninth month.

Currently, the is not used by any of the cultures supported by the class. Therefore, this class can be used only to calculate dates in the Chinese lunisolar calendar.

Each object supports a set of calendars. The property returns the default calendar for the culture, and the property returns an array containing all the calendars supported by the culture. To change the calendar used by a , the application should set the property of to a new .

Represents time in divisions, such as months, days, and years. Years are calculated using the Chinese calendar, while days and months are calculated using the lunisolar calendar.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32 1

  The value of this field is 1.

  The class recognizes only the current era.

  Specifies the era that corresponds to the current object.

- Property
  4.0.0.0
  System.Int32 To be added.

  This property returns a constant value of 384.

  Gets the number of days in the year that precedes the year that is specified by the property.

- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Int32[] To be added. To be added.

  Gets the eras that correspond to the range of dates and times supported by the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Int32 `` To be added.

  Retrieves the era that corresponds to the specified type.

  An integer that represents the era in the parameter.

  The type to read.
- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.DateTime To be added. To be added.

  Gets the maximum date and time supported by the class.

- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.DateTime To be added. To be added.

  Gets the minimum date and time supported by the class.